import React from "react";
import Image from "next/image";
import { useTranslations } from "next-intl";

export default function AboutMeInfo({ aboutData }) {
  const t = useTranslations('about');

  return (
    <section className="about__me-info pb-90 pt-110">
      <div className="container">
        <div className="row">
          <div className="col-xl-4 col-lg-3">
            <span className="about__me-info-subtitle">{t('support')}</span>
          </div>
          <div className="col-xl-8 col-lg-9">
            {Object.keys(aboutData).length > 0 ? (
              <div dangerouslySetInnerHTML={{ __html: aboutData.content }} />
            ) : (

              <div
                className="about__me-info-content wow fadeInUp"
                data-wow-delay=".3s"
                data-wow-duration="1s"
              >
                <h4 className="about__me-info-title">
                  World-Money Destek Merkezi
                </h4>
                <p>
                  World-Money Topluluğunun Her An Yanınızdayız!
                </p>

                <p>
                  World-Money ekibi olarak, tüm kullanıcılarımızın karşılaşabileceği sorulara ve teknik destek taleplerine en hızlı ve etkili şekilde yanıt vermek için buradayız.İster cüzdan kullanımı, ister staking veya reklam izleme ödülleri konusunda olsun, ekibimiz size yardımcı olmaktan mutluluk duyar.
                </p>
                <h4 className="about__me-info-title" style={{ fontSize: "30px" }}>
                  Bize Ulaşın
                </h4>
                <p>
                  <a href="mailto:support@World-Moneys.com">   E-posta: support@World-Money.com </a>  <br />
                  <a href="https://t.me/worldmoneysupport" target="_blank"> Telegram Destek Kanalı: t.me/worldmoneysupport </a><br />
                  Web Formu: www.World-Money.com/sss
                </p>
                <h4 className="about__me-info-title" style={{ fontSize: "30px" }} id="destek">
                  Destek Konularımız
                </h4>
                <p>
                  Hesap ve Cüzdan Güvenliği<br />
                  WM Coin Transfer ve İşlem Sorunları<br />
                  Reklam İzleme & Kazan Programı<br />
                  Staking ve Ödül Takibi<br />
                  Teknik Sorular ve Entegrasyon Desteği<br />
                  İş Ortaklığı ve Üye İş Yeri Destekleri
                </p>
                <h4 className="about__me-info-title" style={{ fontSize: "30px" }}>
                  Destek Sürecimiz
                </h4>
                <p>
                  Tüm taleplere 24 saat içinde dönüş yapılır.<br />
                  Karmaşık teknik sorunlar için maksimum 3 iş günü içinde çözüm sağlanır.<br />
                  Acil durumlar için öncelikli destek hattı kullanılabilir.
                </p>

              </div>

            )}
          </div>
        </div>
      </div>
    </section>
  );
};

