
import Image from "next/image";
import Link from "next/link";
// internal
import thumb_main from "@assets/photos/logo.png";
import google from "@assets/photos/google_play.png";
import apple from "@assets/photos/apple_store.png";
import thumb_shape from "@assets/img/about/4/about-shape-1.png";
import thumb_shape_logo from "@assets/img/about/4/about-shape-2.png";
import thumb_shape_icon from "@assets/img/about/4/about-shape-2-icon.png";
import { Experience, PhoneTwo } from "@/svg";
import { useTranslations } from "next-intl";



const HomeLawyerAbout = () => {
  const t = useTranslations('mainPage');
  const content = {
    about_thumb: thumb_main,
    title: t('aboutTitle'),
    text: t('aboutDescription'),
  };
  const {
    about_thumb,
    title,
    text,
  } = content;
  return (
    <>
      <section id="about" className="about__area bg-soft-green pt-100 pb-100">
        <div className="container">
          <div className="row">
            <div className="col-xxl-6 col-xl-6 col-lg-6">
              <div className="about__thumb-wrapper-4 p-relative">
                <div className="about__thumb-4">
                  <Image
                    className="about-thumb-main"
                    src={about_thumb}
                    alt="about thumb"
                    style={{ width: "auto", height: "auto" }}
                  />
                  {/* <Image
                    className="about__thumb-shape-1"
                    src={thumb_shape}
                    alt="shape"
                  /> */}
                </div>
                {/* <div className="about__experience-4 d-none d-sm-flex align-items-start">
                  <div className="about__experience-icon-4 mr-15">
                    <span>
                      <Experience />
                    </span>
                  </div>
                  <div className="about__experience-content-4">
                    <h4>
                      <span>{experience}</span>+
                    </h4>
                    <p>{experience_text}</p>
                  </div>
                </div> */}
                {/* <div className="about__thumb-shape-2 p-relative">
                  <Image
                    className="about__thumb-shape-logo"
                    src={thumb_shape_logo}
                    alt="shape"
                  />
                  <Image
                    className="about__thumb-shape-logo-icon"
                    src={thumb_shape_icon}
                    alt="shape"
                  />
                </div> */}
              </div>
            </div>
            <div className="col-xxl-6 col-xl-6 col-lg-6">
              <div className="about__wrapper-4 pr-70">
                <div className="section__title-wrapper-4 pr-5 mb-15">
                  {/* <span className="section__title-pre-4">{pre_title}</span> */}
                  <h3 className="section__title-4-2">{title}</h3>
                </div>
                <p>{text}</p>
                {/* <p>{text_2}</p> */}
                <div className="about__btn-4 mt-45 d-flex align-items-center">
                  <Link href="#" className="mr-10">
                    <Image
                      className=""
                      src={google}
                      alt="google"
                      width={180}
                      height={50}
                    />
                  </Link>

                  <Link href="#" className="">
                    <Image
                      className=""
                      src={apple}
                      alt="apple"
                      width={180}
                      height={50}
                    />
                  </Link>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
};

export default HomeLawyerAbout;
