'use client'
import React, { useEffect, useRef, useState } from "react";
import Slider from "react-slick";
import 'slick-carousel/slick/slick.css';
import 'slick-carousel/slick/slick-theme.css';
// internal
import bio_bg_1 from "@assets/img/biography/biography-1.jpg";
import bio_bg_2 from "@assets/img/biography/biography-2.jpg";
import bio_bg_3 from "@assets/img/biography/biography-3.jpg";
import bio_bg_4 from "@assets/img/biography/biography-4.jpg";
import bio_bg_5 from "@assets/img/biography/biography-5.jpg";
import bio_bg_6 from "@assets/img/biography/biography-6.jpg";
import bio_bg_7 from "@assets/img/biography/biography-7.jpg";
import bio_bg from "@assets/img/biography/biography-transparent-bg.png";
import solid_bg from "@assets/img/biography/biography-solid-bg.png";

// biography__item
const biography_items = [
  {
    bg: bio_bg_1,
    date: "01 April 2014",
    title: "Stand with our campaign for working political",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
  {
    bg: bio_bg_2,
    date: "22 June 2015",
    title: "Iranian Regime Thugs Fire on – Drive-By Killers",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
  {
    bg: bio_bg_3,
    date: "04 Jan 2016",
    title: "The Irony of information: Enduring Solutions",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
  {
    bg: bio_bg_4,
    date: "26 Sept 2017",
    title: "Combating information by Truth and Trust",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
  {
    bg: bio_bg_5,
    date: "14 Aug 2018",
    title: "'Truth Decay' in Europe Is Real, Advance Slowed",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
  {
    bg: bio_bg_6,
    date: "08 May 2019",
    title: "Supporting the People of Ukraine Through Cities",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
  {
    bg: bio_bg_7,
    date: "21 July 2020",
    title: "Homelessness in L.A., Russia Morale:",
    subtitle:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis",
  },
];

// biography__year
const biography_year = ["Step 1", "Step 2", "Step 3", "Step 4", "Step 5", "Step 6", "Step 7"];

const setting_nav = {
  slidesToShow: 6,
  slidesToScroll: 1,
  dots: false,
  centerMode: false,
  focusOnSelect: true,
  arrows: false,
  responsive: [
    {
      breakpoint: 1400,
      settings: {
        slidesToShow: 6,
        slidesToScroll: 1,
      },
    },
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 4,
        slidesToScroll: 1,
      },
    },
    {
      breakpoint: 992,
      settings: {
        slidesToShow: 4,
        slidesToScroll: 1,
      },
    },
    {
      breakpoint: 768,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 1,
      },
    },
    {
      breakpoint: 576,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 1,
      },
    },
    {
      breakpoint: 0,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 1,
      },
    },
  ],
};

const settings = {
  slidesToShow: 1,
  slidesToScroll: 1,
  arrows: false,
  fade: true,
};

const PoliticianBiography = () => {
  const [slider1, setSlider1] = useState(null);
  const [slider2, setSlider2] = useState(null);
  const [isSliderActive, setIsSliderActive] = useState(false);
  const [isSliderEnd, setIsSliderEnd] = useState(false);
  const sliderRef = useRef(null);
  const contentSliderRef = useRef(null);

  // Slider referansını ayarla
  const handleRef = (slider) => {
    setSlider1(slider);
  };

  // Sayfa kaydırmayı engelleme fonksiyonu
  const disableScroll = () => {
    document.body.style.overflow = 'hidden';
  };

  // Sayfa kaydırmayı tekrar etkinleştirme fonksiyonu
  const enableScroll = () => {
    document.body.style.overflow = 'auto';
  };

  // Slider'ın kaydırma işlemi bittiğinde çağrılacak fonksiyon
  const handleAfterChange = (index) => {
    if (index === biography_items.length - 1) {
      setIsSliderEnd(true); // Slider'ın sonuna gelindi
      enableScroll(); // Sayfa kaydırmayı tekrar etkinleştir
    } else {
      setIsSliderEnd(false); // Slider'ın sonunda değilsek yana kaymaya devam et
    }
  };

  // Scroll olayını dinleme ve slider'ı yana kaydırma
  useEffect(() => {
    const handleWheel = (e) => {
      if (isSliderActive && !isSliderEnd && sliderRef.current) {
        e.preventDefault(); // Sayfa kaydırmayı engelle
        if (e.deltaY > 0) {
          slider1.slickNext(); // Aşağı kaydırma ile bir sonraki slayta geç
        } else if (e.deltaY < 0) {
          slider1.slickPrev(); // Yukarı kaydırma ile bir önceki slayta geç
        }
      }
    };

    const handleScroll = () => {
      if (sliderRef.current) {
        const sliderTop = sliderRef.current.getBoundingClientRect().top;
        const sliderBottom = sliderRef.current.getBoundingClientRect().bottom;

        // Slider görünür alandaysa ve kaydırma işlemi başlamadıysa
        if (sliderTop <= window.innerHeight && sliderBottom >= 0 && !isSliderActive) {
          setIsSliderActive(true);
          disableScroll(); // Sayfa kaydırmayı engelle
        }

        // Slider görünür alandan çıktıysa ve yukarı kaydırma yapılıyorsa
        if (sliderBottom < 0 && isSliderActive) {
          setIsSliderActive(false);
          setIsSliderEnd(false);
          enableScroll(); // Sayfa kaydırmayı tekrar etkinleştir
        }
      }
    };

    window.addEventListener('scroll', handleScroll);
    if (isSliderActive) {
      window.addEventListener('wheel', handleWheel, { passive: false });
    }

    return () => {
      window.removeEventListener('scroll', handleScroll);
      window.removeEventListener('wheel', handleWheel);
    };
  }, [isSliderActive, isSliderEnd, slider1]);

  return (
    <>
       <div ref={sliderRef}>

</div>
      <section className="biography__area p-relative pb-110 fix"  >
        <Slider
          {...settings}
          asNavFor={slider1}
          ref={(slider) => {
            setSlider2(slider);
            contentSliderRef.current = slider;
          }}
          className="biography__slider-content-active"
          afterChange={handleAfterChange}
        >
          {biography_items.map((item, i) => (
            <div
              key={i}
              className="biography__item biography__height black-bg p-relative z-index-1"
            >
              {/* <div
                className="biography__bg biography__bg-1"
                style={{ backgroundImage: `url(${item.bg.src})` }}
              ></div> */}
              <div className="container">
                <div className="row">
                  <div className="col-xxl-7 col-xl-8 col-lg-9">
                    <div className="biography__content p-relative z-index-1">
                      <div className="biography__meta">
                        <span>{item.date}</span>
                      </div>
                      <h3 className="biography__title">{item.title}</h3>
                      <p>{item.subtitle}</p>

                      {/* <div className="biography__btn mb-50">
                        <a href="#" className="tp-btn-border-9 tp-link-btn-3">
                          Continue Reading
                          <span>
                            <i className="fa-regular fa-angle-right"></i>
                          </span>
                        </a>
                      </div> */}
                    </div>
                  </div>
                </div>
              </div>
            </div>
          ))}
        </Slider>

        <div className="container">
          <div className="row">
            <div className="col-xxl-12">
              <div className="biography__slider">
                <Slider
                  {...setting_nav}
                  asNavFor={slider2}
                  ref={(slider) => handleRef(slider)}
                  className="biography__slider-nav"
                >
                  {biography_year.map((year, i) => (
                    <div key={i} className="biography__year">
                      <p>
                        <span
                          className="tp-biography-bg include-bg"
                          style={{ backgroundImage: `url(${bio_bg.src})` }}
                        ></span>
                        <span 
                          className="tp-biography-bg is-solid include-bg"
                          style={{
                             backgroundColor: `var(--tp-renk-altin)`,
                             borderRadius: "2px"
                            }}
                        ></span>
                        {year}
                      </p>
                    </div>
                  ))}
                </Slider>
              </div>
            </div>
          </div>
        </div>
      </section>
   
    </>
  );
};

export default PoliticianBiography;
