import React from "react";
// internal
import { ShapeLine } from "@/svg";
import BlogSidebar from "@/components/common/sidebar/blog-sidebar";
import Pagination from "@ui/Pagination";
import blog_data from "@/data/blog-data";
import SingleListBlog from "./single-blog/single-list-blog";
import { useTranslations } from "next-intl";




const BlogListArea = ({ data }) => {
  const t = useTranslations('blog');

  return (
    <section className="blog__list  pt-90 pb-100">
      <div className="container">
        <div className="row">
          <div className="col-xxl-12">
            <div className="section__title-wrapper section-title-sm mb-60">
              <h3 className="section__title">
                {t('title')}{" "}
                <span className="section__title-highlight">
                  {t('subtitle')}
                  <ShapeLine />
                </span>
              </h3>
            </div>
          </div>
        </div>
        <div className="row">
          <div className="col-lg-12">
            <div className="row">
              <div className="col-xl-12">
                <div className="blog__list-item-wrapper">
                  {data.data.map((blog) => (
                    <SingleListBlog key={blog.id} {...blog} />
                  ))}
                </div>
              </div>
              <div className="col-xxl-12">
                <div className="tp-pagination mt-30 d-flex justify-content-center">
                  <Pagination
                    currentPage={data.current_page}
                    lastPage={data.last_page}
                  />
                </div>
              </div>
            </div>
          </div>
          {/* <div className="col-lg-4">
            <BlogSidebar />
          </div> */}
        </div>
      </div>
    </section>
  );
};

export default BlogListArea;
