import React from "react";
// internal
import Link from "next/link";

const BreadcrumbTen = ({ title ,desc,img }) => {
  return (
    <section className="breadcrumb__area breadcrumb__style-6 p-relative include-bg pt-200 pb-120">
      <div
        className="breadcrumb__bg-2 breadcrumb__overlay include-bg"
        style={{ backgroundImage: `url(${img})` }}
      ></div>
      <div className="container">
        <div className="row justify-content-center">
          <div className="col-xxl-8 col-xl-8 col-lg-10">
            <div className="breadcrumb__content text-center p-relative z-index-1">
              <h3 className="breadcrumb__title">{title}</h3>
              <p className="breadcrumb__content mt-4" style={{ color: "#F0F0F5", }}>{desc}</p>

              <div className="header__right-5 pl-80 pr-80 mt-30 d-flex align-items-center justify-content-between ">

                <div className="header__btn-5 d-none d-xl-block ">
                  <Link href="/sss" className="tp-btn-orange d-flex">
                    Support
                  </Link>
                </div>
                <div className="header__btn-5 d-none d-xl-block ml-5">
                  <Link href="/developers" className="tp-btn-blue-sm d-flex">
                    Developers
                  </Link>
                </div>

              </div>
              {/* <div className="breadcrumb__list">
                <span>
                  <Link href="/">Home</Link>
                </span>
                <span className="dvdr">
                  <i className="fa-solid fa-circle-small"></i>
                </span>
                <span>
                  <a href="#">Services</a>
                </span>
                <span className="dvdr">
                  <i className="fa-solid fa-circle-small"></i>
                </span>
                <span>{title}</span>
              </div> */}
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default BreadcrumbTen;
