'use client'
import React from "react";
import Link from "next/link";
import Image from "next/image";
import { PhotoProvider, PhotoView } from 'react-photo-view';
import 'react-photo-view/dist/react-photo-view.css';
// internal
import qrcode from "@assets/img/icon/qrcode.png";
import { Android, Ios } from "@/svg";

const FooterWidget = ({ item }) => {
  const { col, title, lists, app_content, widget_num } = item || {};
  return (
    <PhotoProvider>
      <div className={`footer__widget ${widget_num} mb-50 footer-col-${col}`}>
        {/* <h3 className="footer__widget-title">{title}</h3> */}
        {!app_content && (
          <div className="footer__widget-content">
            {/* <ul>
              {lists.map((l, i) => (
                <li key={i}>
                  <Link href={l.link}>{l.title}</Link>
                </li>
              ))}
            </ul> */}
          </div>
        )}
        {app_content && (
          <div className="footer__widget-content">
            <div className="footer__app mb-30">
              <div className="footer__app-item">
                <a href="#" className="tp-btn-app">
                  <Android />
                  Android
                </a>
              </div>
              <div className="footer__app-item">
                <a href="#" className="tp-btn-app">
                  <Ios />
                  Mac iOS
                </a>
              </div>
            </div>
            <div
              className="footer__qrcode d-flex align-items-center"
              style={{ cursor: "pointer" }}
            >
              <div className="footer__qrcode-thumb mr-10">
                <a className="popup-image">
                  <PhotoView src={qrcode.src}>
                     <Image src={qrcode} alt="qrcode" />
                  </PhotoView>
                </a>
              </div>
              <div className="footer__qrcode-content">
                <p>
                  <a className="popup-image">Uygulamaya Erişmek İçin Tarayın</a>
                </p>
              </div>
            </div>
          </div>
        )}
      </div>
    </PhotoProvider>
  );
};

export default FooterWidget;
