'use client'
import Link from 'next/link';
import Image from 'next/image';
// internal
import shape from '@assets/img/shape/footer-shape-1.png';
import logo from "@assets/photos/logo.png";
import SocialLinks from '@/components/social';
import LanguageSwitch from '@/components/special/LanguageSwitch';
import { useTranslations } from 'next-intl';
const FooterThree = ({ locale }) => {
  const t = useTranslations('footer');


  return (
    <>
      <footer>
        <div className="footer__area">
          <div className="footer__top-2 p-relative">
            {/* <div className="footer__shape">
              <Image className="footer__shape-1" src={shape} alt="shape" />
            </div> */}
            <div className="container">
              <div className="row align-items-center">
                <div className="col-lg-2 col-md-12 col-sm-6">
                  <div className="footer__widget footer-col-2-1">
                    <div className="footer__logo">
                      <Link href="/">
                        <Image src={logo} alt="logo" width={100} height={100} />
                      </Link>
                    </div>

                  </div>
                </div>
                <div className="col-lg-4 col-md-5 col-sm-6">
                  <div className="footer__widget footer-col-2-2">
                    <LanguageSwitch locale={locale} />
                  </div>
                </div>
                <div className="col-lg-4 col-md-5 col-sm-8">
                  <div className="footer__widget footer-col-2-3">
                    <ul id="footer-list-inline-2">
                      <li><Link href="/policy">{t('policy')}</Link></li>
                      <li><Link href="/terms">{t('terms')}</Link></li>
                    </ul>
                  </div>
                </div>



                {/* <div className="col-lg-2 col-md-2 col-sm-4">
                  <div className="footer__widget footer-col-2-4">
                  <ul id="footer-list-inline-2">
                      <li><Link href="/policy">Gizlilik Politikası</Link></li>
                      <li><Link href="/terms">Kullanım Şartları</Link></li>
                    </ul>
                  </div>
                </div> */}
              </div>
            </div>
          </div>
          <div className="footer__bottom">
            <div className="container">
              <div className="footer__bottom-inner-2">
                <div className="row align-items-center">
                  <div className="col-sm-6">
                    <div className="footer__copyright-2">
                      <p>Copyright © {new Date().getFullYear()} by <Link href="/">World Money</Link>.
                        {t('reserved')} </p>
                    </div>
                  </div>
                  <div className="col-sm-6">
                    <div className="footer__social-2 text-sm-end">
                      <SocialLinks />
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </footer>
    </>
  );
};

export default FooterThree;
