"use client";
import React, { useState } from "react";
import Image from "next/image";
import Link from "next/link";
// internal
import Menus from "./menus-special";
import logo from "@assets/photos/logo.png";
import OffCanvasFour from "@/components/common/off-canvas/off-canvas-4";
import useSticky from "@/hooks/use-sticky";
import { PhoneThree, UserThree } from "@/svg";
import { Register } from "@/svg/register";
import { useTranslations } from "next-intl";

const HeaderFour = ({ locale }) => {
  const { sticky } = useSticky();
  const [isOffCanvasOpen, setIsOffCanvasOpen] = useState(false);
  const t = useTranslations("header");
  return (
    <>
      <header>
        <div
          className={`header__area header-box-plr-5-245 header__padding-5 header__style-5 header__sticky header-sticky-blur ${
            sticky ? "header-sticky" : ""
          }`}
          id="header-sticky"
          style={{ backgroundColor: "#f7f1e3" }}
        >
          <div className="header__gradient-bg"></div>
          <div className="header__top-5">
            <div className="mega-menu-wrapper p-relative">
              <div className="container-fluid">
                <div className="row align-items-center">
                  <div className="col-xxl-2 col-xl-2 col-lg-3 col-md-6 col-6 d-flex align-items-center">
                    <div className="logo">
                      <Link href="/">
                        <Image src={logo} alt="logo" width={100} height={100} />
                      </Link>
                    </div>
                    <h3 className=" ml-25 d-lg-none text-nowrap">
                      World Money
                    </h3>
                  </div>

                  <div className="col-xl-6 col-lg-7 d-none d-lg-block">
                    <div className="main-menu main-menu-5 main-menu-ff-space text-end">
                      <nav id="mobile-menu">
                        <Menus locale={locale} />
                      </nav>
                    </div>
                  </div>
                  <div className="col-xl-4 col-lg-2 col-md-6 col-6">
                    <div className="header__right-5 d-flex align-items-center justify-content-end">
                      <div className="header__btn-5 d-none d-xl-block ">
                        <Link href="/login" className="main-button">
                          <span className="button-gradient"></span>
                          <span className="button-content">
                            <div className="button-inner">
                              <span className="button-text">{t("signin")}</span>
                              <UserThree className="mr-5 mb-1 w-40 h-40" />
                            </div>
                          </span>
                        </Link>
                        {/* <Link href="/login" className="tp-btn-orange d-flex">
                          <UserThree className="mr-5" />
                          {t('signin')}
                        </Link> */}
                      </div>
                      {/* <div className="header__btn-5 d-none d-xl-block ml-5">
                        <Link href="/register" className="tp-btn-blue-sm d-flex">
                          <Register className="mr-5" />
                          {t('register')}
                        </Link>
                      </div> */}
                      <div className="header__hamburger header__hamburger-5 ml-50 d-xl-none">
                        <button
                          onClick={() => setIsOffCanvasOpen(true)}
                          type="button"
                          className="hamburger-btn hamburger-btn-blue hamburger-btn-black offcanvas-open-btn"
                        >
                          <span></span>
                          <span></span>
                          <span></span>
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </header>

      {/* off canvas start */}
      <OffCanvasFour
        isOffCanvasOpen={isOffCanvasOpen}
        setIsOffCanvasOpen={setIsOffCanvasOpen}
        locale={locale}
      />
      {/* off canvas end */}
    </>
  );
};

export default HeaderFour;
