'use client'
import React from "react";
import Link from "next/link";
// internal
import LoginForm from "@/components/forms/login-form";
import LoginWithSocial from "./login-with-social";
import LoginShapes from "./login-shapes";

const LoginArea = () => {
  return (
    <section className="login__area pt-110 pb-200">
      <div className="container">
        <div className="login__inner p-relative z-index-1">
          {/* <LoginShapes /> */}
          <div className="row justify-content-center">
            <div className="col-xl-6 col-lg-8 col-md-10">
              <div className="login__wrapper">
                <div className="login__top mb-30 text-center">
                  <h3 className="login__title">Tekrar Hoş Geldiniz</h3>
                  <p>Hesabınıza erişmek için bilgilerinizi girin.</p>
                </div>
                <div className="login__form">
                  {/* form start */}
                  <LoginForm />
                  {/* form end */}
                  {/* <div className="login__social text-center">
                    <h3 className="login__social-header">Or Sign in with</h3>
                    <LoginWithSocial />
                  </div> */}
                  <div className="login__register-now">
                    <p>
                      Hesabınız yok mu?{" "}
                      <Link href="/register">Şimdi Kaydolun</Link>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default LoginArea;
