import React from "react";
import Link from "next/link";
// internal
import RegisterForm from "@/components/forms/register-form";
import LoginShapes from "./login-shapes";
import LoginWithSocial from "./login-with-social";

const RegisterArea = () => {
  return (
    <section className="login__area pt-110 pb-110">
      <div className="container">
        <div className="login__inner p-relative z-index-1">
          {/* <LoginShapes /> */}
          <div className="row justify-content-center">
            <div className="col-xl-8 col-lg-8 col-md-10">
              <div className="login__wrapper">
                <div className="login__top mb-30 text-center">
                  <h3 className="login__title">Kayıt Ol</h3>
                </div>
                <div className="login__form">
                  {/* register form start */}
                  <RegisterForm />
                  {/* register form end */}
                  {/* <div className="login__social text-center">
                    <h3 className="login__social-header">Or Sign in with</h3>
                    <LoginWithSocial />
                  </div> */}
                  <div className="login__register-now">
                    <p>
                    Zaten hesabınız var mı? <Link href="/login">Giriş Yap</Link>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default RegisterArea;
