"use client"
import useSticky from '@/hooks/useSticky';
import clsx from 'clsx';
import { usePathname } from 'next/navigation';
import React from 'react'
import Link from "next/link";
function StickySolMenu({ linklist }) {
  const pathname = usePathname();
  const sticky = useSticky(350);
  return (
    <><div className={clsx(`col-xl-4 col-lg-3 d-none d-lg-block`, sticky ? "py-17" : "py-9")}>

      <div className={clsx(`sidebar sticky-sidebar p-3`,)}>
        <ul className="list-unstyled">
          {linklist.map(({
            id,
            title,
            to,
            subtitles
          }) => (
            <li key={id}>
              <Link
                href={to}
                className={pathname === to ? "active" : "inactive"}
              >

                {title}
              </Link>

              {/* {subtitles && subtitles?.map(({
                id,
                title,
                to
              }) => (
                <li key={id}>
                  <Link
                    href={to}
                    className="ml-20"
                  >
                    {title}
                  </Link>
                </li>
              ))} */}
            </li>
          ))}
        </ul>
      </div>
    </div>

      {/* <aside className={clsx("col-xl-4 col-lg-3 sidebar sticky-sidebar mt-md-0 d-none d-xl-block", sticky ? "py-17" : "py-9")}>
            <div className="widget sol-sticky">
              <nav id="sidebar-nav">
                <ul className="list-unstyled">
                  {linklist.map(({
                    id,
                    title,
                    to
                  }) => <li key={id}>
                      <Link href={to} title={title} className={clsx({
                        'text-primary': pathname === to, // Eğer eşleşirse text-yellow sınıfı eklenir
                        'text-reset': pathname !== to // Eşleşmezse farklı bir stil de ekleyebilirsiniz
                      })}>
                      </Link>
                    </li>)}
                </ul>
              </nav>
            </div>
          </aside> */}
    </>
  )
}

export default StickySolMenu